#pragma once
#include <map>
struct M_ActivityKingCraftRankData
{
	//编号
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	std::vector<int> mItemID;
	//奖励数量
	std::vector<int> mItemCount;
};

class M_ActivityKingCraftRank
{
public:
private:
	static std::auto_ptr<M_ActivityKingCraftRank> msSingleton;
public:
	int GetCount();
	const M_ActivityKingCraftRankData* GetData(int ID);
	const std::map<int, M_ActivityKingCraftRankData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityKingCraftRank* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityKingCraftRankData> mMapData;
};
